Name:           python-omemo-backend-signal
Version:        0.3.1~beta
Release:        1%{?dist}
Summary:        A backend for python-omemo offering compatibility with libsignal

License:        GPLv3
URL:            https://github.com/Syndace/%{name}
Source0:        https://github.com/Syndace/%{name}/archive/v%{version_no_tilde}.tar.gz
# For files and directories
%global srcname omemo_backend_signal
%global version_main %(c=%version; echo $c|cut -d~ -f1)

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-x3dh
BuildRequires:  python3-doubleratchet
BuildRequires:  python3-omemo
BuildRequires:  python3-cryptography
BuildRequires:  python3-protobuf
BuildRequires:  python3-setuptools
# For tests
#BuildRequires:  python3-pynacl

%description
This library implements a backend for python-omemo offering
compatibility with libsignal (C, Java, JavaScript).

OMEMO is Multi-End Message and Object Encryption protocol and it is an
extension of XMPP protocol.



%package     -n python3-omemo-backend-signal
Summary:        A backend for python-omemo offering compatibility with libsignal

%description -n python3-omemo-backend-signal
This library implements a backend for python-omemo offering
compatibility with libsignal (C, Java, JavaScript).

OMEMO is Multi-End Message and Object Encryption protocol and it is an
extension of XMPP protocol.



%prep
%autosetup -n %{name}-%{version_no_tilde}


%build
%py3_build


%install
%py3_install


%check
# Tests suite has been removed by upstream



%files -n python3-omemo-backend-signal
%license LICENSE
%doc README.md
# For noarch packages: sitelib
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version_main}-py%{python3_version}.egg-info/



%changelog
* Sun Aug 28 2022 Matthieu Saulnier <fantom@fedoraproject.org> - 0.3.1~beta-1
- Update to 0.3.1~beta

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0~beta-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.3.0~beta-2
- Rebuilt for Python 3.11

* Sun Apr 24 2022 Matthieu Saulnier <fantom@fedoraproject.org> - 0.3.0~beta-1
- Update to 0.3.0~beta
- Disabling tests suite which has been removed by upstream in this version

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6~beta-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6~beta-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.2.6~beta-3
- Rebuilt for Python 3.10

* Sun Feb 14 2021 Matthieu Saulnier <fantom@fedoraproject.org> - 0.2.6~beta-2
- Package Review RHBZ#1927580:
  - Use %%{python3_version} in %%files section

* Wed Feb 10 2021 Matthieu Saulnier <fantom@fedoraproject.org> - 0.2.6~beta-1
- Initial package
